Subject: [PATCH v6 0/5] ARM/ARM64 architected timer updates

From: [email-masked] (Sudeep KarkadaNagesha)
Date: Fri, 30 Aug 2013 16:46:17 +0100

On 30/08/13 15:04, Will Deacon wrote:
> On Fri, Aug 30, 2013 at 12:43:09PM +0100, Russell King - ARM Linux wrote:
>> On Fri, Aug 30, 2013 at 11:07:28AM +0100, Sudeep KarkadaNagesha wrote:
>>> On 29/08/13 15:55, Sudeep KarkadaNagesha wrote:
>>>> From: Sudeep KarkadaNagesha <[email-masked]>
>>>>
>>>> This patch series adds support to configure the rate and enable the
>>>> event stream for architected timer. The event streams can be used to
>>>> impose a timeout on a wfe, to safeguard against any programming error
>>>> in case an expected event is not generated or even to implement
>>>> wfe-based timeouts for userspace locking implementations. This feature
>>>> can be disabled(enabled by default).
>>>>
>>>> Since the timer control register is reset to zero on warm boot, CPU
>>>> PM notifier is added to save and restore the value.
>>>>
>>> Hi Russell,
>>>
>>> Can you have a look at this series ?
>>> If you are OK, can I have your ACK on arm specific changes(PATCH 2/5) ?
>>
>> I think it would be more value to have someone from ARM Ltd ack it,
>> because they will know the code much better than I do.
> 
> Looks good to me, so for patch 2/5:
> 
>   Acked-by: Will Deacon <[email-masked]>
> 
Thanks Will and Russell.

Hi Catalin,

Can I have your ACK for ARM64 changes(PATCH 3/5) so that Daniel can
accept my pull request ?

Regards,
Sudeep